Subject: Re: [GSOC PATCH 1/2] environment: remove the global variable 'merge_log_config'

From: Junio C Hamano <[email-masked]>
Date: Tue, 29 Jul 2025 10:53:59 -0700

Ayush Chandekar <[email-masked]> writes:

> I will mention this in the commit message, but do you think this
> behaviour is fine?

I cannot answer that one immediately after saying that I do not know
if this is a regression or an improvement.  

If you still pushed me to answer it immediately, you'd get my
default position, a conservative "any changes in behaviour caused by
an internal code clean-up is bad and is a serious regression" ;-).